create or replace view v_attr_space
as
select sdev.SUBSCRIBER_ID_X
      ,max(sdev.C_DEV_MOC_EVENTS) C_DEV_MOC_EVENTS
      ,max(sdev.C_DEV_MOC_SUM_DURATION) C_DEV_MOC_SUM_DURATION
      ,max(sdev.C_DEV_MOC_MAX_DURATION) C_DEV_MOC_MAX_DURATION
      ,max(sdev.C_DEV_MOC_MIN_DURATION) C_DEV_MOC_MIN_DURATION
      ,max(sdev.C_DEV_MOC_AVG_DURATION) C_DEV_MOC_AVG_DURATION
      ,max(sdev.C_DEV_MTC_EVENTS) C_DEV_MTC_EVENTS
      ,max(sdev.C_DEV_MTC_SUM_DURATION) C_DEV_MTC_SUM_DURATION
      ,max(sdev.C_DEV_MTC_MAX_DURATION) C_DEV_MTC_MAX_DURATION
      ,max(sdev.C_DEV_MTC_MIN_DURATION) C_DEV_MTC_MIN_DURATION
      ,max(sdev.C_DEV_MTC_AVG_DURATION) C_DEV_MTC_AVG_DURATION
      
      ,max(sdev.C_DEV_GPRS_EVENTS) C_DEV_GPRS_EVENTS
      ,max(sdev.C_DEV_GPRS_SUM_AMOUNT) C_DEV_GPRS_SUM_AMOUNT
      ,max(sdev.C_DEV_GPRS_MAX_AMOUNT) C_DEV_GPRS_MAX_AMOUNT
      ,max(sdev.C_DEV_GPRS_MIN_AMOUNT) C_DEV_GPRS_MIN_AMOUNT
      ,max(sdev.C_DEV_GPRS_AVG_AMOUNT) C_DEV_GPRS_AVG_AMOUNT
from
  (
        select  rs.SUBSCRIBER_ID_X
                ,round(avg(sa.MOC_EVENTS) over(partition by rs.SUBSCRIBER_ID_X),5) C_AVG_MOC_EVENTS
                ,round(stddev(sa.MOC_EVENTS)  over(partition by rs.SUBSCRIBER_ID_X),5) C_DEV_MOC_EVENTS
                ,round(avg(MOC_SUM_DURATION) over(partition by rs.SUBSCRIBER_ID_X),5) C_AVG_MOC_SUM_DURATION
                ,round(stddev(MOC_SUM_DURATION) over(partition by rs.SUBSCRIBER_ID_X),5) C_DEV_MOC_SUM_DURATION
                ,round(avg(MOC_MAX_DURATION) over(partition by rs.SUBSCRIBER_ID_X),5) C_AVG_MOC_MAX_DURATION
                ,round(stddev(MOC_MAX_DURATION) over(partition by rs.SUBSCRIBER_ID_X),5) C_DEV_MOC_MAX_DURATION
                ,round(avg(MOC_MIN_DURATION) over(partition by rs.SUBSCRIBER_ID_X),5) C_AVG_MOC_MIN_DURATION
                ,round(stddev(MOC_MIN_DURATION) over(partition by rs.SUBSCRIBER_ID_X),5) C_DEV_MOC_MIN_DURATION
                ,round(avg(MOC_AVG_DURATION) over(partition by rs.SUBSCRIBER_ID_X),5) C_AVG_MOC_AVG_DURATION
                ,round(stddev(MOC_AVG_DURATION) over(partition by rs.SUBSCRIBER_ID_X),5) C_DEV_MOC_AVG_DURATION
                ,round(avg(MTC_EVENTS) over(partition by rs.SUBSCRIBER_ID_X),5) C_AVG_MTC_EVENTS
                ,round(stddev(MTC_EVENTS) over(partition by rs.SUBSCRIBER_ID_X),5) C_DEV_MTC_EVENTS
                ,round(avg(MTC_SUM_DURATION) over(partition by rs.SUBSCRIBER_ID_X),5) C_AVG_MTC_SUM_DURATION
                ,round(stddev(MTC_SUM_DURATION) over(partition by rs.SUBSCRIBER_ID_X),5) C_DEV_MTC_SUM_DURATION
                ,round(avg(MTC_MAX_DURATION) over(partition by rs.SUBSCRIBER_ID_X),5) C_AVG_MTC_MAX_DURATION
                ,round(stddev(MTC_MAX_DURATION) over(partition by rs.SUBSCRIBER_ID_X),5) C_DEV_MTC_MAX_DURATION
                ,round(avg(MTC_MIN_DURATION) over(partition by rs.SUBSCRIBER_ID_X),5) C_AVG_MTC_MIN_DURATION
                ,round(stddev(MTC_MIN_DURATION) over(partition by rs.SUBSCRIBER_ID_X),5) C_DEV_MTC_MIN_DURATION
                ,round(avg(MTC_AVG_DURATION) over(partition by rs.SUBSCRIBER_ID_X),5) C_AVG_MTC_AVG_DURATION
                ,round(stddev(MTC_AVG_DURATION) over(partition by rs.SUBSCRIBER_ID_X),5) C_DEV_MTC_AVG_DURATION
                ,round(avg(GPRS_EVENTS) over(partition by rs.SUBSCRIBER_ID_X),5) C_AVG_GPRS_EVENTS
                ,round(stddev(GPRS_EVENTS) over(partition by rs.SUBSCRIBER_ID_X),5) C_DEV_GPRS_EVENTS
                ,round(avg(GPRS_SUM_AMOUNT) over(partition by rs.SUBSCRIBER_ID_X),5) C_AVG_GPRS_SUM_AMOUNT
                ,round(stddev(GPRS_SUM_AMOUNT) over(partition by rs.SUBSCRIBER_ID_X),5) C_DEV_GPRS_SUM_AMOUNT
                ,round(avg(GPRS_MAX_AMOUNT) over(partition by rs.SUBSCRIBER_ID_X),5) C_AVG_GPRS_MAX_AMOUNT
                ,round(stddev(GPRS_MAX_AMOUNT) over(partition by rs.SUBSCRIBER_ID_X),5) C_DEV_GPRS_MAX_AMOUNT
                ,round(avg(GPRS_MIN_AMOUNT) over(partition by rs.SUBSCRIBER_ID_X),5) C_AVG_GPRS_MIN_AMOUNT
                ,round(stddev(GPRS_MIN_AMOUNT) over(partition by rs.SUBSCRIBER_ID_X),5) C_DEV_GPRS_MIN_AMOUNT
                ,round(avg(GPRS_AVG_AMOUNT) over(partition by rs.SUBSCRIBER_ID_X),5) C_AVG_GPRS_AVG_AMOUNT
                ,round(stddev(GPRS_AVG_AMOUNT) over(partition by rs.SUBSCRIBER_ID_X),5) C_DEV_GPRS_AVG_AMOUNT
        from   V_REPR_SPACE rs
              ,V_SUBS_STANDARDIZED sa
        where rs.SUBSCRIBER_ID_Y = sa.SUBSCRIBER_ID
        ) sdev
group by sdev.SUBSCRIBER_ID_X
;