CREATE OR REPLACE FORCE VIEW "V_REPR_SPACE" ("SUBSCRIBER_ID_X", "SUBSCRIBER_ID_Y", "SUM_SIMILARITY", "ENV_COUNT", "MAX_SIMILARITY", "RANK", "OBJ_COUNT", "ORIGINAL_OBJECT_SPACE_SIZE", "COVERAGE", "REPR_OBJ_COUNT") AS 
  select  srank.SUBSCRIBER_ID_X
       ,srank.SUBSCRIBER_ID_Y
       ,srank.SUM_SIMILARITY
       ,srank.ENV_COUNT
       ,srank.MAX_SIMILARITY
       ,srank.RANK
       ,count(DISTINCT srank.SUBSCRIBER_ID_Y) over () OBJ_COUNT
       ,(select count(SUBSCRIBER_ID) from subscriber_analysis) ORIGINAL_OBJECT_SPACE_SIZE
       ,(count(DISTINCT srank.SUBSCRIBER_ID_Y) over ()) / (select count(SUBSCRIBER_ID) from subscriber_analysis) COVERAGE
       ,count(DISTINCT srank.SUBSCRIBER_ID_X) over() REPR_OBJ_COUNT
from 
  (
    select ssum.SUBSCRIBER_ID_X
          ,ssum.SUBSCRIBER_ID_Y
          ,ssum.SUM_SIMILARITY
          ,ssum.ENV_COUNT
          ,ssum.MAX_SIMILARITY
          ,dense_rank() over (order by ssum.SUM_SIMILARITY desc, ssum.ENV_COUNT desc, ssum.MAX_SIMILARITY desc) RANK
    from   
        (
          select sa.SUBSCRIBER_ID SUBSCRIBER_ID_X
                ,vss.SUBSCRIBER_ID_Y SUBSCRIBER_ID_Y
                ,vss.SIMILARITY
                ,sum(vss.SIMILARITY) over(partition by sa.SUBSCRIBER_ID) SUM_SIMILARITY
                ,max(vss.SIMILARITY) over(partition by sa.SUBSCRIBER_ID) MAX_SIMILARITY
                ,count(1) over(partition by sa.SUBSCRIBER_ID) ENV_COUNT
          from   SUBSCRIBER_ANALYSIS sa
                ,V_SUBS_SIM_FILTERED vss
          where sa.SUBSCRIBER_ID = vss.SUBSCRIBER_ID_X
            and vss.SIMILARITY > 0.34
       ) ssum
  ) srank
where srank.ENV_COUNT > 400;
