CREATE OR REPLACE FORCE VIEW "V_SUBS_STANDARDIZED" ("SUBSCRIBER_ID", "MOC_EVENTS", "MOC_SUM_DURATION", "MOC_MAX_DURATION", "MOC_MIN_DURATION", "MOC_AVG_DURATION", "MTC_EVENTS", "MTC_SUM_DURATION", "MTC_MAX_DURATION", "MTC_MIN_DURATION", "MTC_AVG_DURATION", "GPRS_EVENTS", "GPRS_SUM_AMOUNT", "GPRS_MAX_AMOUNT", "GPRS_MIN_AMOUNT", "GPRS_AVG_AMOUNT") AS 
  select
        SUBSCRIBER_ID SUBSCRIBER_ID
        ,abs(MOC_EVENTS - AVG_MOC_EVENTS) / STDDEV_MOC_EVENTS MOC_EVENTS
        ,abs(MOC_SUM_DURATION - AVG_MOC_SUM_DURATION) / STDDEV_MOC_SUM_DURATION MOC_SUM_DURATION
        ,abs(MOC_MAX_DURATION - AVG_MOC_MAX_DURATION) / STDDEV_MOC_MAX_DURATION MOC_MAX_DURATION
        ,abs(MOC_MIN_DURATION - AVG_MOC_MIN_DURATION) / STDDEV_MOC_MIN_DURATION MOC_MIN_DURATION
        ,abs(MOC_AVG_DURATION - AVG_MOC_AVG_DURATION) / STDDEV_MOC_AVG_DURATION MOC_AVG_DURATION
        ,abs(MTC_EVENTS - AVG_MTC_EVENTS) / STDDEV_MTC_EVENTS MTC_EVENTS
        ,abs(MTC_SUM_DURATION - AVG_MTC_SUM_DURATION) / STDDEV_MTC_SUM_DURATION MTC_SUM_DURATION
        ,abs(MTC_MAX_DURATION - AVG_MTC_MAX_DURATION) / STDDEV_MTC_MAX_DURATION MTC_MAX_DURATION
        ,abs(MTC_MIN_DURATION - AVG_MTC_MIN_DURATION) / STDDEV_MTC_MIN_DURATION MTC_MIN_DURATION
        ,abs(MTC_AVG_DURATION - AVG_MTC_AVG_DURATION) / STDDEV_MTC_AVG_DURATION MTC_AVG_DURATION
        ,abs(GPRS_EVENTS - AVG_GPRS_EVENTS) / STDDEV_GPRS_EVENTS GPRS_EVENTS
        ,abs(GPRS_SUM_AMOUNT - AVG_GPRS_SUM_AMOUNT) / STDDEV_GPRS_SUM_AMOUNT GPRS_SUM_AMOUNT
        ,abs(GPRS_MAX_AMOUNT - AVG_GPRS_MAX_AMOUNT) / STDDEV_GPRS_MAX_AMOUNT GPRS_MAX_AMOUNT
        ,abs(GPRS_MIN_AMOUNT - AVG_GPRS_MIN_AMOUNT) / STDDEV_GPRS_MIN_AMOUNT GPRS_MIN_AMOUNT
        ,abs(GPRS_AVG_AMOUNT - AVG_GPRS_AVG_AMOUNT) / STDDEV_GPRS_AVG_AMOUNT GPRS_AVG_AMOUNT
from    SUBSCRIBER_ANALYSIS
      ,(      
      select  
            avg(MOC_EVENTS) AVG_MOC_EVENTS
            ,avg(MOC_SUM_DURATION) AVG_MOC_SUM_DURATION
            ,avg(MOC_MAX_DURATION) AVG_MOC_MAX_DURATION
            ,avg(MOC_MIN_DURATION) AVG_MOC_MIN_DURATION
            ,avg(MOC_AVG_DURATION) AVG_MOC_AVG_DURATION
            ,avg(MTC_EVENTS) AVG_MTC_EVENTS
            ,avg(MTC_SUM_DURATION) AVG_MTC_SUM_DURATION
            ,avg(MTC_MAX_DURATION) AVG_MTC_MAX_DURATION
            ,avg(MTC_MIN_DURATION) AVG_MTC_MIN_DURATION
            ,avg(MTC_AVG_DURATION) AVG_MTC_AVG_DURATION
            ,avg(GPRS_EVENTS) AVG_GPRS_EVENTS
            ,avg(GPRS_SUM_AMOUNT) AVG_GPRS_SUM_AMOUNT
            ,avg(GPRS_MAX_AMOUNT) AVG_GPRS_MAX_AMOUNT
            ,avg(GPRS_MIN_AMOUNT) AVG_GPRS_MIN_AMOUNT
            ,avg(GPRS_AVG_AMOUNT) AVG_GPRS_AVG_AMOUNT
            
            ,stddev(MOC_EVENTS) STDDEV_MOC_EVENTS
            ,stddev(MOC_SUM_DURATION) STDDEV_MOC_SUM_DURATION
            ,stddev(MOC_MAX_DURATION) STDDEV_MOC_MAX_DURATION
            ,stddev(MOC_MIN_DURATION) STDDEV_MOC_MIN_DURATION
            ,stddev(MOC_AVG_DURATION) STDDEV_MOC_AVG_DURATION
            ,stddev(MTC_EVENTS) STDDEV_MTC_EVENTS
            ,stddev(MTC_SUM_DURATION) STDDEV_MTC_SUM_DURATION
            ,stddev(MTC_MAX_DURATION) STDDEV_MTC_MAX_DURATION
            ,stddev(MTC_MIN_DURATION) STDDEV_MTC_MIN_DURATION
            ,stddev(MTC_AVG_DURATION) STDDEV_MTC_AVG_DURATION
            ,stddev(GPRS_EVENTS) STDDEV_GPRS_EVENTS
            ,stddev(GPRS_SUM_AMOUNT) STDDEV_GPRS_SUM_AMOUNT
            ,stddev(GPRS_MAX_AMOUNT) STDDEV_GPRS_MAX_AMOUNT
            ,stddev(GPRS_MIN_AMOUNT) STDDEV_GPRS_MIN_AMOUNT
            ,stddev(GPRS_AVG_AMOUNT) STDDEV_GPRS_AVG_AMOUNT
      from SUBSCRIBER_ANALYSIS ) s_stat;
